org.springframework.data.jdbc.core.convert

## Class SqlGeneratorSource

- java.lang.Object
- - org.springframework.data.jdbc.core.convert.SqlGeneratorSource

    public class SqlGeneratorSource
    extends Object

Provides `SqlGenerator`s per domain type. Instances get cached, so when asked multiple times for the same domain type, the same generator will get returned.

Author:
  Jens Schauder, Mark Paluch, Milan Milanov

### Constructor Summary

Constructors
Constructor and Description
`SqlGeneratorSource(RelationalMappingContext context, JdbcConverter converter, Dialect dialect)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Dialect` `getDialect()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlGeneratorSource

    public SqlGeneratorSource(RelationalMappingContext context,
                              JdbcConverter converter,
                              Dialect dialect)

### Method Detail

#### getDialect

    public Dialect getDialect()

Returns:
  the `Dialect` used by the created `SqlGenerator` instances. Guaranteed to be not null.